ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.SysTools.Info

Synopsis

- neededLinkArgs :: LinkerInfo -> [Option]
- getLinkerInfo :: Logger -> DynFlags -> IO LinkerInfo
- getLinkerInfo' :: Logger -> DynFlags -> IO LinkerInfo
- getCompilerInfo :: Logger -> DynFlags -> IO CompilerInfo
- getAssemblerInfo :: Logger -> DynFlags -> IO CompilerInfo
- getCompilerInfo' :: Logger -> String -> IO CompilerInfo

# Documentation

neededLinkArgs :: LinkerInfo -> [Option] Source #

getLinkerInfo :: Logger -> DynFlags -> IO LinkerInfo Source #

getLinkerInfo' :: Logger -> DynFlags -> IO LinkerInfo Source #

getCompilerInfo :: Logger -> DynFlags -> IO CompilerInfo Source #

Grab compiler info and cache it in DynFlags.

getAssemblerInfo :: Logger -> DynFlags -> IO CompilerInfo Source #

Grab assembler info and cache it in DynFlags.

getCompilerInfo' :: Logger -> String -> IO CompilerInfo Source #